Reliability issue with Diego v1.15.1; please use v1.15.0 instead


Eric Malm <emalm@...>
 

Hi, all,

Please do not use v1.15.1 of the Diego BOSH release. The Diego team instead
recommends using v1.15.0, or the forthcoming next final release (most
likely named v1.15.2).

The only change between v1.15.0 and v1.15.1 is an upgrade of the Golang
version from v1.7.4 to v1.8.1. After deploying this release in a large
environment, we observed that the Diego auctioneers on v1.15.1 failed to
make successful requests to retrieve the Diego cells' latest state at the
start of an auction, and typically failed seemingly at random on a
substantial proportion of them. While we did not observe any obvious
significant impact to application developers or application traffic because
of these failures, we are still concerned about them, and do not feel
comfortable recommending operation of a system that exhibits them.

Rolling back to Diego v1.15.0 in the same environment caused the
auctioneers to resume functioning normally, so we're fairly confident that
this issue is caused by the change to the version of Golang in the release.
We'll be reverting that version to v1.7.4 for the next Diego final release,
which we hope to have available as soon as possible, and will then
investigate these failures and ensure we have a resolution for them in
place before re-advancing to the v1.8 Golang line in the release.

Apologies for any inconvenience this issue may have caused, and please let
me or the rest of the Diego team know if you have further questions.

Best,
Eric, CF Diego PM

Join cf-dev@lists.cloudfoundry.org to automatically receive all group messages.